## com.bbn.openmap.layer.policy
Interface ProjectionChangePolicy

All Known Implementing Classes:
  ListResetPCPolicy, StandardPCPolicy

public interface ProjectionChangePolicy

A ProjectionChangePolicy is a policy object that determines how an OMGraphicHandler layer reacts to a projectionChanged() method call. The OMGraphicHandlerLayer has been written to consult this object to contral that activity. The reaction could include clearing out the current OMGraphicList or keeping it, or launching a SwingWorker with a doPrepare() call on the layer to have the layer's prepare() method called.

Method Summary
`OMGraphicHandlerLayer` `getLayer()` Get the OMGraphicHandlerLayer to work with.
`void` `projectionChanged(ProjectionEvent pe)` The method that is called when the projection changes.
`void` `setLayer(OMGraphicHandlerLayer layer)` Set the OMGraphicHandlerLayer to work with.
`void` `workerComplete(OMGraphicList aList)` The method that gets called when the SwingWorker thread finishes.

Method Detail

### setLayer

    public void setLayer(OMGraphicHandlerLayer layer)

  Set the OMGraphicHandlerLayer to work with.

### getLayer

    public OMGraphicHandlerLayer getLayer()

  Get the OMGraphicHandlerLayer to work with.

### projectionChanged

    public void projectionChanged(ProjectionEvent pe)

  The method that is called when the projection changes. The ProjectionChangePolicy should modify the OMGraphicList and do other functions as dictated by the policy, like starting threads to gather data and generating new OMGraphics for the layer.

### workerComplete

    public void workerComplete(OMGraphicList aList)

  The method that gets called when the SwingWorker thread finishes. The OMGraphicList is what is getting returned from the prepare() method on the layer, so it's most likely that this list should be set on the layer.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details